# 客户小区管理需求文档

客户小区管理系统是为客户维护小区提供基础服务：银联配置、微信菜单配置、小区二维码生成、智能停车场维护。

### 业务流程   [原型地址](https://org.modao.cc/app/e6901721256b50fa80884755fcf42250e875e733)

### 页面说明

 **菜单树**

![image\菜单树](image\菜单树.png)



![客户小区列表页](image/客户小区列表页.png)



**所属区域显示：省市区，例如：海南省海口市美兰区，显示的数据为已开通的区域。**

**所属公司：对应的物业公司**

**小区名称可点击到小区详情页**

**操作栏有微信、二维码、银行卡三给图标，鼠标移动到图标上显示相应提示文案，分别是：微信菜单配置、推广二维码、银联配置。**



![微信菜单配置](image\微信菜单配置.png)

**功能列表只显示已启用的功能,详情页上的微信菜单配置同样只显示已启用的。**

“微信菜单配置” 标题右侧显示 对应的小区

**节点选择**

父节点选中时，下边的子节点全选

部分字节的选中时，父节点跟着移动到右侧：已开通功能。

父节点删除时，下边的子节点全删除

子节点删除时，如果还有其他子节点，父节点保留。

如果父节点下边无子点，父节点删除。



![image\银联配置2](image\银联配置2.png)

**银联配置页面状态为"锁定"时，此页面不可编辑**

**详情页中 银联配置 状态显示为“锁定”时，修改按钮不显示。** 

小区名称不可编辑

 **表单字段说明**

| 字段名称 | 字段类型    | 备注                   | 是否必填 |
| ---- | ------- | -------------------- | ---- |
| 商户号  | varchar | 具有独立营业执照的物业公司，一般是分公司 | 是    |
| 终端号  | varchar | 对应小区                 | 是    |
| 状态   | varchar | 开启    停用    锁定       | 是    |

![image\小区停车场](image\小区停车场.png)

详情页中小区停车场，点击 二维码图标时，弹出小区二维码图。

![image\修改停车场信息](image\修改停车场信息.png)

**表字段说明**

| 字段名称    | 字段类型    | 备注          | 是否必填 |
| ------- | ------- | ----------- | ---- |
| 停车场名称   | string  | 不可编辑        | 是    |
| 厂商车场编号  | varchar |             | 是    |
| 入口数     | varchar |             | 是    |
| 出口数     | varchar |             | 是    |
| 厂商缴费URL | varchar |             | 是    |
| 所属厂商    | varchar | 默认是科拓，后期会增加 | 是    |
